##Procedure Header
# Name:
#    ixiangpf::emulation_pce_info
#
# Description:
#    Retrieves information about the PCEP protocol.
#
# Synopsis:
#    ixiangpf::emulation_pce_info
#x       -mode         CHOICES stats
#x                     CHOICES clear_stats
#x                     CHOICES learned_info
#        -handle       ANY
#        [-port_handle REGEXP ^[0-9]+/[0-9]+/[0-9]+$]
#
# Arguments:
#x   -mode
#    -handle
#        The PCEP PCE handle to act upon.
#    -port_handle
#
# Return Values:
#    $::SUCCESS | $::FAILURE
#    key:status                                 value:$::SUCCESS | $::FAILURE
#    If status is failure, detailed information provided.
#    key:log                                    value:If status is failure, detailed information provided.
#    Sessions Up
#x   key:sessions_up                            value:Sessions Up
#    Sessions Down
#x   key:sessions_down                          value:Sessions Down
#    Sessions Not Started
#x   key:sessions_not_started                   value:Sessions Not Started
#    Sessions Total
#x   key:sessions_total                         value:Sessions Total
#    Session Flap Count
#x   key:session_flap_count                     value:Session Flap Count
#    Open Message Rx
#x   key:open_message_rx                        value:Open Message Rx
#    Open Message Tx
#x   key:open_message_tx                        value:Open Message Tx
#    Keepalive Message Rx
#x   key:keepalive_message_rx                   value:Keepalive Message Rx
#    Keepalive Message Tx
#x   key:keepalive_message_tx                   value:Keepalive Message Tx
#    Close Message Rx
#x   key:close_message_rx                       value:Close Message Rx
#    Close Message Tx
#x   key:close_message_tx                       value:Close Message Tx
#    Unknown Message Rx
#x   key:unknown_message_rx                     value:Unknown Message Rx
#    Total TCP Connection Request Received
#x   key:total_tcp_connection_request_received  value:Total TCP Connection Request Received
#    PCInitiate Message Tx
#x   key:pcinitiate_message_tx                  value:PCInitiate Message Tx
#    Remove Initiated LSP Tx
#x   key:remove_initiated_lsp_tx                value:Remove Initiated LSP Tx
#    PCRpt Message Rx
#x   key:pcrpt_message_rx                       value:PCRpt Message Rx
#    PCUpdate Message Tx
#x   key:pcupdate_message_tx                    value:PCUpdate Message Tx
#    PCErr Message Rx
#x   key:pcerr_message_rx                       value:PCErr Message Rx
#    PCErr Message Tx
#x   key:pcerr_message_tx                       value:PCErr Message Tx
#    Total Initiated LSP Tx
#x   key:total_initiated_lsp_tx                 value:Total Initiated LSP Tx
#    Total Delegated LSP
#x   key:total_delegated_lsp                    value:Total Delegated LSP
#    PCReq Message Rx
#x   key:pcreq_message_rx                       value:PCReq Message Rx
#    PCRep Message Tx
#x   key:pcrep_message_tx                       value:PCRep Message Tx
#    No Path Tx
#x   key:no_path_tx                             value:No Path Tx
#    Total Requested LSP Rx
#x   key:total_requested_lsp_rx                 value:Total Requested LSP Rx
#    Total Responded LSP Tx
#x   key:total_responded_lsp_tx                 value:Total Responded LSP Tx
#
# Examples:
#
# Sample Input:
#
# Sample Output:
#
# Notes:
#    Coded versus functional specification.
#
# See Also:
#

package ixiangpf;

use utils;
use ixiahlt;

sub emulation_pce_info {

	my $args = shift(@_);

	my @notImplementedParams = ();
	my @mandatoryParams = ();
	my @fileParams = ();

	# ixiahlt::logHltapiCommand('emulation_pce_info', $args);
	# ixiahlt::utrackerLog ('emulation_pce_info', $args);

	return ixiangpf::runExecuteCommand('emulation_pce_info', \@notImplementedParams, \@mandatoryParams, \@fileParams, $args);
}

# Return value for the package
return 1;
